CADsite

  • do 20 06 2019, 07:53:09
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Pagina's: [1]   Omlaag

Auteur Topic: nieuwe procedure maken.  (gelezen 5767 keer)

julien

  • Administrator
  • forumverslaafde
  • ******
  • Offline Offline
  • Berichten: 2875
    • Bekijk profiel
nieuwe procedure maken.
« Gepost op: wo 27 08 2003, 10:54:14 »

Ik heb een vraagje voor een lisp kenner.
Ik heb een aantal opdrachten die ik zeer vaak gebruik, en waarvoor ik dus een lisp zou kunnen gebruiken.

Hetgeen ik nu doe:
-me
-lijn aanduiden
-b (block)
-xx (naam block)
-y (alingn)
-xx (lengte segment)


Hetgeen ik wil bereiken is
-het commando aanspreken
-geef de naam van van de block:
-geef de segment lengte:
-klik op de in te delen lijnstukken.

Is dit mogelijk???
En zoja, kan iemand mij wat op weg zetten?

Alvast bedankt.

Dit is heteen ik tot nu toe heb, maar dit werkt niet...
(defun C:bb ()
(setq blocknaam (getstring ["blocnaam: "]))
(setq segmentlengte (getint "geef de segmentlengte: "))
(command "measure" "getpoint" "b" "blocknaam" "y" "segmentlengte")
)
Gelogd

julien

  • Administrator
  • forumverslaafde
  • ******
  • Offline Offline
  • Berichten: 2875
    • Bekijk profiel
nieuwe procedure maken.
« Reactie #1 Gepost op: di 02 09 2003, 10:45:44 »

Na veel proberen en autocad te laten vastlopen ben ik tot het volgende gekomen:

(defun C:bm ()
  (setq blocknaam (getstring ["\nVoer de blocknaam in: "]))
(setq segmentlengte (getint "\nGeef de segmentlengte: "))
  (setq lijn (getpoint "\nDuid de lijn aan of druk op ENTER om af te sluiten: "))
  (command "measure" lijn "b" blocknaam "y" segmentlengte)
(while (/= lijn nill)
(setq lijn (getpoint "\nDuid de lijn aan of druk op ENTER om af te sluiten: "))
(if (/= lijn nill)(command "measure" lijn "b" blocknaam "y" segmentlengte)())
   )(princ)
)(princ)


Dit was hetgeen ik wilde bereiken.  :D
Gelogd
Pagina's: [1]   Omhoog